Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::AudioRecordingConfiguration Struct Reference

`#include <AgoraBase.h>`

## Public Member Functions
| AudioRecordingConfiguration ()
| AudioRecordingConfiguration (const char *file_path, int sample_rate, AUDIO_RECORDING_QUALITY_TYPE quality_type, int channel)
| AudioRecordingConfiguration (const char *file_path, bool enc, int sample_rate, AUDIO_FILE_RECORDING_TYPE type, AUDIO_RECORDING_QUALITY_TYPE quality_type, int channel)
| AudioRecordingConfiguration (const AudioRecordingConfiguration &rhs)

## Public Attributes
const char * | filePath
bool | encode
int | sampleRate
AUDIO_FILE_RECORDING_TYPE | fileRecordingType
AUDIO_RECORDING_QUALITY_TYPE | quality
int | recordingChannel

## Constructor & Destructor Documentation

## ◆ AudioRecordingConfiguration() [1/4]

agora::rtc::AudioRecordingConfiguration::AudioRecordingConfiguration | ( |  | ) |
| inline

## ◆ AudioRecordingConfiguration() [2/4]

agora::rtc::AudioRecordingConfiguration::AudioRecordingConfiguration | ( | const char * | file_path,
|  | int | sample_rate,
|  | AUDIO_RECORDING_QUALITY_TYPE | quality_type,
|  | int | channel )
| inline

## ◆ AudioRecordingConfiguration() [3/4]

agora::rtc::AudioRecordingConfiguration::AudioRecordingConfiguration | ( | const char * | file_path,
|  | bool | enc,
|  | int | sample_rate,
|  | AUDIO_FILE_RECORDING_TYPE | type,
|  | AUDIO_RECORDING_QUALITY_TYPE | quality_type,
|  | int | channel )
| inline

## ◆ AudioRecordingConfiguration() [4/4]

agora::rtc::AudioRecordingConfiguration::AudioRecordingConfiguration | ( | const AudioRecordingConfiguration & | rhs | ) |
| inline

## Member Data Documentation

## ◆ filePath

const char* agora::rtc::AudioRecordingConfiguration::filePath

The absolute path (including the filename extensions) of the recording file. For example: `C:\music\audio.aac`.

Note
  Ensure that the directory for the log files exists and is writable.

## ◆ encode

bool agora::rtc::AudioRecordingConfiguration::encode

Whether to encode the audio data:

- `true`: Encode audio data in AAC.
- `false`: (Default) Do not encode audio data, but save the recorded audio data directly.

## ◆ sampleRate

int agora::rtc::AudioRecordingConfiguration::sampleRate

Recording sample rate (Hz).

- 16000
- (Default) 32000
- 44100
- 48000
  Note
    If you set this parameter to 44100 or 48000, Agora recommends recording WAV files, or AAC files with `quality` set as AUDIO_RECORDING_QUALITY_MEDIUM or AUDIO_RECORDING_QUALITY_HIGH for better recording quality.

## ◆ fileRecordingType

AUDIO_FILE_RECORDING_TYPE agora::rtc::AudioRecordingConfiguration::fileRecordingType

The recording content. See `AUDIO_FILE_RECORDING_TYPE`.

## ◆ quality

AUDIO_RECORDING_QUALITY_TYPE agora::rtc::AudioRecordingConfiguration::quality

Recording quality. See `AUDIO_RECORDING_QUALITY_TYPE`.

Note
  This parameter applies to AAC files only.

## ◆ recordingChannel

int agora::rtc::AudioRecordingConfiguration::recordingChannel

The audio channel of recording: The parameter supports the following values:

- 1: (Default) Mono.
- 2: Stereo.
  Note
    The actual recorded audio channel is related to the audio channel that you capture.
- If the captured audio is mono and `recordingChannel` is `2`, the recorded audio is the dual-channel data that is copied from mono data, not stereo.
- If the captured audio is dual channel and `recordingChannel` is `1`, the recorded audio is the mono data that is mixed by dual-channel data. The integration scheme also affects the final recorded audio channel. If you need to record in stereo, contact `technical support`.